## org.apache.maven.shared.jar.identification
Interface JarIdentificationExposer

All Known Implementing Classes:
  EmbeddedMavenModelExposer, FilenameExposer, JarClassesExposer, ManifestExposer, RepositorySearchExposer, StaticMainOutputExposer, TextFileExposer, TimestampExposer

    public interface JarIdentificationExposer

Expose information from a JAR during the identification process. Implementations should be made to be thread safe.

See Also:
  `JarIdentificationAnalysis`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.

Method Detail

### expose

    void expose(JarIdentification identification,
                JarAnalyzer jarAnalyzer)

  Expose metadata during the identification process.

  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

Copyright © 2011. All Rights Reserved.